server:
  port: 9003
  servlet:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  tomcat:
    uri-encoding: UTF-8
spring:
  replacePackageName: /ghThreeDataShare
  cache:
    type: redis
  datasource:
    driver-class-name: oracle.jdbc.driver.OracleDriver
    url: jdbc:oracle:thin:@//198.39.1.218/shhwdb
    username: ghjg_basics
    password: GHJG@123
    hikari:
      maximum-pool-size: 15
      connection-timeout: 30000
      idle-timeout: 600000
      max-lifetime: 1800000
  redis:
    host: 10.83.240.181
    port: 8085
    database: 0
    timeout: 5000
    password: Ghzx@Redis
    jedis:
      pool:
        max-active: 8
        max-idle: 8
        max-wait: -1
        min-idle: 0
mybatis:
  mapper-locations: classpath*:mapper/*.xml
  type-aliases-package: com.shanghaichengdi.ghjgitem.domain
  configuration:
    use-generated-keys: true
    mapUnderscoreToCamelCase: true
    call-setters-on-nulls: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus:
  global-config:
    db-config:
      id-type: input
  type-enums-package: com.shanghaichengdi.ghjgitem.enums
  configuration:
    call-setters-on-nulls: true
static:
  file:
    notPass:
cache:
  timeout: 60
  token:
    expire: 60
pagehelper:
  helper-dialect: oracle

# 此处用来配置调用的第三方服务接口
interface:
  esService: http://10.83.68.109:8092/ES/
  smsService: http://10.83.68.109:8080/ghjgWebServiceTest/sms/base/send
